/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\Halloween Event\SoulCollectorBone.cs
Lines of code: 40
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class UnderworldBone : Item
	{
	
		[Constructable]
		public UnderworldBone() : this( 1 )
		{
		}
	
		[Constructable]
		public UnderworldBone( int amount ) : base( 3966 )
		{
			Hue = 1287;
			Name = "Underworld Bone";
			Weight = 1.0;
			Stackable = true;
			Amount = amount;
		}

		public UnderworldBone( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			list.Add(1060658,"Event Item \t{0}","Long Live the King 2012");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}